// @ts-check
import { defineConfig } from 'astro/config';
import starlight from '@astrojs/starlight';

// https://astro.build/config
export default defineConfig({
	integrations: [
		starlight({
			title: 'Pet Activity Monitor',
			social: {
				"github": 'https://avoid.sh/PetActivityMonitor',
			},
			sidebar: [
				{
					label: 'Overview',
					autogenerate: { directory: '0_overview' },

				},
				{
					label: 'Record App',
					autogenerate: { directory: '1_record_app' },
				},
				{
					label: 'Analysis App',
					autogenerate: { directory: '2_analysis' },
				},
			],
		}),
	],
});
